%define name    raptor
%define version 1.0.0
%define release 1mdk

%define major	1
%define libname %mklibname %name %major

Summary:   	Raptor RDF Parser Toolkit for Redland
Name:      	%{name}
Version:   	%{version}
Release:   	%{release}
License: 	LGPL
Group:     	Development/Other
Source:    	%{name}-%{version}.tar.bz2
URL:       	http://www.redland.opensource.ac.uk/raptor/
BuildRoot: 	%_tmppath/%{name}-root
BuildRequires: 	libxml2-devel
Requires:	%libname

%description
Raptor is the RDF Parser Toolkit for Redland that provides
a set of standalone RDF parsers, generating triples from RDF/XML
or N-Triples.

%package -n %{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries

%description -n %{libname}
Dynamic libraries from %name.

%package -n %{libname}-devel
Summary: Header files and static libraries from %name
Group: Development/C
Requires: %{libname} >= %{version}
Provides: lib%{name}-devel = %{version}-%{release} %{name}-devel = %{version}-%{release} 
Obsoletes: %name-devel

%description -n %{libname}-devel
Libraries and includes files for developing programs based on %name.

%prep
%setup -q

%build
%configure
#don't -j2, fails on smp
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1
install -d $RPM_BUILD_ROOT%{_mandir}/man3
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog LICENSE.txt NEWS README
%doc MPL.html
%{_mandir}/man1/rap*
%{_mandir}/man3/libraptor.3*
%{_bindir}/rapper

%files -n %libname
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n %libname-devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/%name.pc
%{_includedir}/*
%{_bindir}/raptor-config

%changelog
* Mon Sep 8 2003 Austin Acton <aacton@yorku.ca> 1.0.0-1mdk
- 1.0.0
- major 1

* Mon Aug 25 2003 Austin Acton <aacton@yorku.ca> 0.9.12-1mdk
- 0.9.12

* Tue Aug 5 2003 Austin Acton <aacton@yorku.ca> 0.9.11-1mdk
- 0.9.11

* Tue Jul 15 2003 Austin Acton <aacton@yorku.ca> 0.9.10-3mdk
- rebuild for rpm

* Wed May 14 2003 Austin Acton <aacton@yorku.ca> 0.9.10-2mdk
- fix library naming

* Wed May 7 2003 Austin Acton <aacton@yorku.ca> 0.9.10-1mdk
- 0.9.10

* Wed Apr 2 2003 Austin Acton <aacton@yorku.ca> 0.9.9-1mdk
- 0.9.9

* Tue Feb 18 2003 Austin Acton <aacton@yorku.ca> 0.9.8-1mdk
- initial package
